> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cleartalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new standard campaign



## OpenAPI

````yaml post /campaigns/save-standard-campaign
openapi: 3.0.0
info:
  title: ClearTalk API
  description: The ClearTalk API Documentation
  version: '1.0'
  contact:
    name: Developer Support
    email: devsupport@cleartalk.ai
servers:
  - url: https://api.cleartalk.ai
    description: ClearTalk AI API Server
security: []
tags: []
paths:
  /campaigns/save-standard-campaign:
    post:
      tags:
        - campaigns
      summary: Create a new standard campaign
      operationId: CampaignsController_saveStandardCampaign
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateStandardCampaignDto'
      responses:
        '201':
          description: Campaign created successfully
      security:
        - apiKey: []
components:
  schemas:
    CreateStandardCampaignDto:
      type: object
      properties:
        userId:
          type: number
          description: User ID
        agentId:
          type: number
          description: Agent ID
        campaign_name:
          type: string
          description: Campaign name
        active:
          type: boolean
          description: Campaign active status
        workingHours:
          type: string
          description: Working hours configuration
        disposition:
          type: string
          description: Disposition configuration
        isGhl:
          type: boolean
          description: GHL Campaign status
        agent_name:
          type: string
          description: Agent name
      required:
        - userId
        - agentId
        - campaign_name
        - active
        - workingHours
        - disposition
        - isGhl
        - agent_name
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for authentication

````